CookieSpecRegistries (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.client
Class CookieSpecRegistries

    java.lang.Object
      org.apache.http.impl.client.CookieSpecRegistries

    public final class CookieSpecRegistries

extends Object

Since:
  4.5

Method Summary
`static org.apache.http.config.Lookup<CookieSpecProvider>` | `createDefault()` Creates the default registry, using the default public suffix matcher.
`static org.apache.http.config.Lookup<CookieSpecProvider>` | `createDefault(PublicSuffixMatcher publicSuffixMatcher)` Creates the default registry with the provided public suffix matcher
`static org.apache.http.config.RegistryBuilder<CookieSpecProvider>` | `createDefaultBuilder()` Creates a builder containing the default registry entries with the default public suffix matcher.
`static org.apache.http.config.RegistryBuilder<CookieSpecProvider>` | `createDefaultBuilder(PublicSuffixMatcher publicSuffixMatcher)` Creates a builder containing the default registry entries, using the provided public suffix matcher.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createDefaultBuilder

    public static org.apache.http.config.RegistryBuilder<CookieSpecProvider> createDefaultBuilder(PublicSuffixMatcher publicSuffixMatcher)

  Creates a builder containing the default registry entries, using the provided public suffix matcher.

### createDefaultBuilder

    public static org.apache.http.config.RegistryBuilder<CookieSpecProvider> createDefaultBuilder()

  Creates a builder containing the default registry entries with the default public suffix matcher.

### createDefault

    public static org.apache.http.config.Lookup<CookieSpecProvider> createDefault()

  Creates the default registry, using the default public suffix matcher.

### createDefault

    public static org.apache.http.config.Lookup<CookieSpecProvider> createDefault(PublicSuffixMatcher publicSuffixMatcher)

  Creates the default registry with the provided public suffix matcher

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.